Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.portlet
Class PortletInvocationFactory

    java.lang.Object
      org.jboss.portal.core.controller.portlet.PortletInvocationFactory

    public class PortletInvocationFactory

extends java.lang.Object

Version:
  $Revision: 10154 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `PortletInvocationFactory.ControllerActionContext`
`static class` | `PortletInvocationFactory.ControllerRenderContext`

Constructor Summary
`PortletInvocationFactory()`

Method Summary
`static ActionInvocation` | `createAction(ControllerContext controllerContext, Mode mode, WindowState windowState, StateString navigationalState, StateString interactionState, PortletParameters form, PortletContextFactory cf, InvokePortletCommandFactory cpc)`
`static ActionInvocation` | `createAction(ControllerContext controllerContext, Mode mode, WindowState windowState, StateString navigationalState, StateString interactionState, PortletParameters form, Window window, Portal portal)`
`static RenderInvocation` | `createRender(ControllerContext controllerContext, Mode mode, WindowState windowState, StateString navigationalState, PortletContextFactory cf, InvokePortletCommandFactory cpc)`
`static RenderInvocation` | `createRender(ControllerContext controllerContext, Mode mode, WindowState windowState, StateString navigationalState, Window window, Portal portal)`
`static java.lang.String` | `renderURL(ControllerContext controllerContext, InvokePortletCommandFactory factory, PortletURL portletURL, java.lang.Boolean wantSecure, java.lang.Boolean wantAuthenticated, boolean relative)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletInvocationFactory

    public PortletInvocationFactory()

Method Detail

### createRender

    public static RenderInvocation createRender(ControllerContext controllerContext,
                                                Mode mode,
                                                WindowState windowState,
                                                StateString navigationalState,
                                                Window window,
                                                Portal portal)

### createAction

    public static ActionInvocation createAction(ControllerContext controllerContext,
                                                Mode mode,
                                                WindowState windowState,
                                                StateString navigationalState,
                                                StateString interactionState,
                                                PortletParameters form,
                                                Window window,
                                                Portal portal)

### createAction

    public static ActionInvocation createAction(ControllerContext controllerContext,
                                                Mode mode,
                                                WindowState windowState,
                                                StateString navigationalState,
                                                StateString interactionState,
                                                PortletParameters form,
                                                PortletContextFactory cf,
                                                InvokePortletCommandFactory cpc)

### createRender

    public static RenderInvocation createRender(ControllerContext controllerContext,
                                                Mode mode,
                                                WindowState windowState,
                                                StateString navigationalState,
                                                PortletContextFactory cf,
                                                InvokePortletCommandFactory cpc)

### renderURL

    public static java.lang.String renderURL(ControllerContext controllerContext,
                                             InvokePortletCommandFactory factory,
                                             PortletURL portletURL,
                                             java.lang.Boolean wantSecure,
                                             java.lang.Boolean wantAuthenticated,
                                             boolean relative)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD